Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 26 Oct 2022 16:42:43 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have been calling customer service since Sunday to place a return. The order status has not been updated hence cannot place the return online. Everything I call I have been told that the request has been sent to technical team and will be updated in 24 hrs .. its been 4 days now and I get the same answer ... I am never buying anything from splash now ... worst customer service https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5054019